Name: liburing
Version: 0.7
Release: 3
Summary: Linux-native io_uring I/O access library
License: (GPLv2 with exceptions and LGPLv2+) or MIT
Source0: https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz
URL: https://git.kernel.dk/cgit/liburing/
BuildRequires: gcc

Patch1: 0001-examples-ucontext-cp.c-cope-with-variable-SIGSTKSZ.patch
Patch2: liburing-Add-sw64-architecture.patch

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package devel
Summary: Development files for Linux-native io_uring I/O access library
Requires: %{name}%{_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%autosetup -p1

%build
%set_build_flags
./configure --prefix=%{_prefix} --libdir=/%{_libdir} --libdevdir=/%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
%make_install

%files
%attr(0755,root,root) %{_libdir}/liburing.so.*
%license COPYING

%files devel
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%exclude %{_libdir}/liburing.a
%{_libdir}/pkgconfig/*
%{_mandir}/man2/*

%changelog
* Fri Oct 21 2022 wuzx<wuzx1226@qq.com> - 0.7-3
- add sw64 patch

* Tue Aug 10 2021 Miaohe Lin <linmiaohe@huawei.com> - 0.7-2
- cope with variable SIGSTKSZ

* Mon Feb 22 2021 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 0.7-1
- init liburing v0.7
